View Issue Details

IDProjectCategoryView StatusLast Update
0014773LazarusIDEpublic2009-10-15 21:50
ReporterSven Barth Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014773: New $param templates: Template is "done" when using Identifier Completion + Enter
DescriptionWhen I'm trying to use Identifier Completion in one of the new $param templates (e. g. "trycf") and press "Enter" on my selected identifier, the "edit template parameters"-mode is left.

Following example:

var
  test1, test2: TObject;
begin
  |te| := |typename|.Create;
  try

  finally
    |te|.Free;
  end;
end;

You have already typed "te" in "variable"-parameter and now you press "Ctrl+Space" to show identifier completion. Select one of the "test*" variables and hit "Enter". The boxes around the parameters vanish and you can now longer change the parameters of the template.
Additional InformationRevision 21988

(tested on Win32 and GTK2, but it might be widgetset independant ^^)
TagsNo tags attached.
Fixed in Revision22195
LazTarget0.9.30
Widgetset
Attached Files

Relationships

related to 0014813 closedMartin Friebe Identifier Completion not usable during Synchron Edit 

Activities

Martin Friebe

2009-10-15 18:39

manager   ~0031345

Please test with revision 22195. Close if ok

Sven Barth

2009-10-15 21:50

manager   ~0031348

Works as expected... Thank you very much *happily continues to use this wonderful feature*

Issue History

Date Modified Username Field Change
2009-10-10 15:28 Sven Barth New Issue
2009-10-10 15:28 Sven Barth Widgetset => GTK 2, Win32/Win64
2009-10-11 02:15 Martin Friebe Status new => assigned
2009-10-11 02:15 Martin Friebe Assigned To => Martin Friebe
2009-10-15 17:35 Martin Friebe Relationship added related to 0014813
2009-10-15 18:39 Martin Friebe Fixed in Revision => 22195
2009-10-15 18:39 Martin Friebe LazTarget => 0.9.30
2009-10-15 18:39 Martin Friebe Widgetset GTK 2, Win32/Win64 =>
2009-10-15 18:39 Martin Friebe Status assigned => resolved
2009-10-15 18:39 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2009-10-15 18:39 Martin Friebe Resolution open => fixed
2009-10-15 18:39 Martin Friebe Note Added: 0031345
2009-10-15 18:39 Martin Friebe Target Version => 0.9.30
2009-10-15 21:50 Sven Barth Status resolved => closed
2009-10-15 21:50 Sven Barth Note Added: 0031348